## hpiinfo.spec.in
##
##   (C) Copyright 2015 Fred Gleason <fredg@paravelsystems.com>
##
##   This program is free software; you can redistribute it and/or modify
##   it under the terms of the GNU General Public License version 2 as
##   published by the Free Software Foundation.
##
##   This program is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU General Public License for more details.
##
##   You should have received a copy of the GNU General Public
##   License along with this program; if not, write to the Free Software
##   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
##

Summary: Configuration applet for AudioScience audio adapters
Name: hpiinfo
Version: 1.0.2
Release: 1%{?dist}
License: GPLv2
Packager: Fred Gleason <fredg@paravelsystems.com>
Group: Productivity/Multimedia/Other
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}

%description
An applet for the configuration and monitoring of AudioScience's
[http://www.audioscience.com] line of high-end audio adapters (sound cards).
HPIInfo can be used to change the operating mode of adapters as well as
for monitoring a variety of operating parameters of an adapter in real
time.

%prep


%setup


%build
%configure
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ -x %{_bindir}/gtk-update-icon-cache ] ; then
  %{_bindir}/gtk-update-icon-cache -f --quiet %{_datadir}/icons/hicolor || :
fi

%files
/etc/pam.d/hpiinfo-root
/etc/security/console.apps/hpiinfo-root
%{_sbindir}/hpiinfo
%{_bindir}/hpiinfo-root
%{_datadir}/applications/hpiinfo.desktop
%{_datadir}/icons/hicolor/16x16/apps/hpiinfo.png


%defattr(-,root,root)
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc NEWS 
%doc README 


%changelog
* Wed Nov 25 2015 Fred Gleason <fredg@paravelsystems.com>
-- Initial RPM creation.
